## ros-indigo-xdot 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xdot)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)

catkin_package(
  DEPENDS wxpython graphviz
)

catkin_python_setup()

install(PROGRAMS scripts/dot_viewer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-xdot (2.0.1-0trusty) trusty; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-indigo-xdot (2.0.0-0trusty) trusty; urgency=high

  * Removing garbage from package.xml
  * Removing rosbuild support
  * Contributors: Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-indigo-xdot (1.10.0-0trusty) trusty; urgency=high

  * Merging experimental qt support, hybrid buildsystem
  * updating version
  * Catkinizing (hybrid), and adding experimental xdot support import
  * Adding beginning of xdot qt conversion by Alex Bravo
  * Moving this into a scripts dir
  * removing empty space
  * Making this into a unary stack
  * modified dep type of catkin
  * update setup() to use generate_distutils_setup
  * updated to latest catkin
  * updated cmake min version to 2.8.3
  * updated catkin variables
  * use install destination variables, removed manual installation of manifests
  * removed obsolete catkin tag from manifest files
  * added missing catkin tag to manifests
  * converting rxtools, rxgraph, and rxbag to catkin/setup.py
  * removing unused doxygen
  * staging to new rx stack
  * Contributors: Jonathan Bohren, dthomas, kwc

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jun 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-xdot
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 7.0.50~), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-xdot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, python-wxgtk2.8
Description: XDot.py, by Jose Fonseca, is an interactive viewer for graphs written in Graphviz's dot language. This package adds front-end capabilities to XDot including WX Widget support and experimental Qt support and a mechanism for receiving callbacks when nodes are clicked. This extension is provided as BSD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-xdot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
